%define upstream_name    Tapper-Config
%define upstream_version 5.0.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tapper - Context sensitive configuration hub for all Tapper libs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Tapper-Config provides a context-sensitive configuration hub for all Tapper
libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 5.0.4-2.mga8
+ Revision: 1519736
- Mageia 8 Mass Rebuild

* Wed Oct 17 2018 shlomif <shlomif> 5.0.4-1.mga7
+ Revision: 1321498
- update to 5.0.4

* Thu Sep 20 2018 umeabot <umeabot> 5.0.3-2.mga7
+ Revision: 1286233
- Mageia 7 Mass Rebuild

* Tue Aug 01 2017 sander85 <sander85> 5.0.3-1.mga7
+ Revision: 1133356
- update to 5.0.3

* Sun Jun 19 2016 pterjan <pterjan> 5.0.2-2.mga6
+ Revision: 1033698
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 5.0.2-1.mga6
+ Revision: 1007284
- update to 5.0.2

* Sat Feb 06 2016 umeabot <umeabot> 4.1.3-6.mga6
+ Revision: 941881
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.1.3-5.mga5
+ Revision: 743513
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.3-4.mga5
+ Revision: 686312
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.3-3.mga4
+ Revision: 514836
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.3-2.mga3
+ Revision: 373035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 4.1.3-1.mga3
+ Revision: 330339
- update to 4.1.3

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310197
- Add description
- imported package perl-Tapper-Config


* Wed Oct 24 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
